%global bundle org.apache.felix.shell

Name:           felix-shell
Version:        1.4.3
Release:        %mkrel 9
Summary:        Apache Felix Shell Service
Group:          Development/Java
License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        http://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: felix-osgi-core
BuildRequires: felix-osgi-compendium
BuildRequires: maven-plugin-bundle
BuildRequires: felix-parent
BuildRequires: mockito

%description
A simple OSGi command shell service.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%pom_remove_plugin org.codehaus.mojo:rat-maven-plugin

%mvn_file :%{bundle} "felix/%{bundle}"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.4.3-9.mga6
+ Revision: 982225
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.4.3-8.mga6
+ Revision: 976232
- First rebuild of the java stack
- sync package felix-shell with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 1.4.3-6.mga5
+ Revision: 805661
- Clean rebuild
- Restore

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-4.mga5
+ Revision: 750763
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.4.3-2.mga4
+ Revision: 544886
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 1.4.3-1.mga4
+ Revision: 500451
- New version

* Sun Feb 17 2013 dmorgan <dmorgan> 1.4.2-4.mga3
+ Revision: 398906
- Disable tests

* Fri Jan 11 2013 umeabot <umeabot> 1.4.2-3.mga3
+ Revision: 350181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + neoclust <neoclust>
    - Distro rebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.4.2-1.mga2
+ Revision: 131888
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package felix-shell

